List billing plans

GET/billing/v1/plans

Returns the available billing plans.

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/billingv1.ListPlansResponse",
  "$ref-value": {
    "properties": {
      "plans": {
        "items": {
          "$ref": "#/components/schemas/billingv1.Plan",
          "$ref-value": {
            "properties": {
              "currency": {
                "type": "string"
              },
              "description": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "interval": {
                "type": "string"
              },
              "interval_count": {
                "type": "integer"
              },
              "name": {
                "type": "string"
              },
              "plan_type": {
                "type": "string"
              },
              "price": {
                "type": "string"
              },
              "sort_order": {
                "type": "integer"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/billing/v1/plans"

OK

application/json

{
  "$ref": "#/components/schemas/billingv1.ListPlansResponse",
  "$ref-value": {
    "properties": {
      "plans": {
        "items": {
          "$ref": "#/components/schemas/billingv1.Plan",
          "$ref-value": {
            "properties": {
              "currency": {
                "type": "string"
              },
              "description": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "interval": {
                "type": "string"
              },
              "interval_count": {
                "type": "integer"
              },
              "name": {
                "type": "string"
              },
              "plan_type": {
                "type": "string"
              },
              "price": {
                "type": "string"
              },
              "sort_order": {
                "type": "integer"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}